#include <iostream> 
using namespace std;

main(){
	string a,b,c,max;
	cin>>a>>b>>c;
	max=a+b+c;
	if(max<a+c+b)
		max=a+c+b;
	if(max<b+a+c)
		max=b+a+c;
	if(max<b+c+a)
		max=b+c+a;
	if(max<c+a+b)
		max=c+a+b;
	if(max<c+b+a)
		max=c+b+a;
	cout<<max;	
	}